SELECT
  AN.NUMERO
  , AN.DTNASCIMENTO
  , (SELECT FIRST 1 P.PESO FROM PESO P WHERE P.CDANIMAL = AN.CDANIMAL AND P.DTPESO = AN.DTNASCIMENTO) AS PES_NASCIMENTO
  , AN.DTDESMAMA
  , (SELECT FIRST 1 P.PESO FROM PESO P WHERE P.CDANIMAL = AN.CDANIMAL AND P.DTPESO = AN.DTDESMAMA) AS PES_DESMAMA
  , IA."DATA" AS PRI_IA
  , (SELECT FIRST 1 P.PESO FROM PESO P WHERE P.CDANIMAL = AN.CDANIMAL AND P.DTPESO = IA."DATA") AS PES_PRI_IA
  , IAP."DATA" AS PRI_PRENHEZ
  , (SELECT FIRST 1 P.PESO FROM PESO P WHERE P.CDANIMAL = AN.CDANIMAL AND P.DTPESO = IAP."DATA") AS PES_PRI_PRENHEZ
  , (SELECT FIRST 1 P.PESO FROM PESO P WHERE P.CDANIMAL = AN.CDANIMAL AND P.DTPESO < PAR."DATA" ORDER BY P.DTPESO DESC) AS PES_ANT_PRI_PARTO
  , PAR."DATA" AS PRI_PARTO
  , (SELECT FIRST 1 P.PESO FROM PESO P WHERE P.CDANIMAL = AN.CDANIMAL AND P.DTPESO = PAR."DATA") AS PES_PRI_PARTO
FROM
  ANIMAL AN
  LEFT JOIN REPRODUCAO IA ON IA.CDREPRODUCAO = 
    (SELECT FIRST 1 RE.CDREPRODUCAO
    FROM REPRODUCAO RE
    WHERE RE.CDANIMAL = AN.CDANIMAL
      AND RE.CDTIPOREPRODUCAO IN (1,2,3)
    ORDER BY RE."DATA" ASC)
  LEFT JOIN REPRODUCAO PAR ON PAR.CDREPRODUCAO = 
    (SELECT FIRST 1 RE.CDREPRODUCAO
    FROM REPRODUCAO RE
    WHERE RE.CDANIMAL = AN.CDANIMAL
      AND RE.CDTIPOREPRODUCAO = 7
    ORDER BY RE."DATA" ASC)
  LEFT JOIN REPRODUCAO DIGP ON DIGP.CDREPRODUCAO = 
    (SELECT FIRST 1 RE.CDREPRODUCAO
    FROM REPRODUCAO RE
    WHERE RE.CDANIMAL = AN.CDANIMAL
      AND RE.DIAGNOSTICO = 'P'
    ORDER BY RE."DATA" ASC)
  LEFT JOIN REPRODUCAO IAP ON IAP.CDREPRODUCAO = 
    (SELECT FIRST 1 RE.CDREPRODUCAO
    FROM REPRODUCAO RE
    WHERE RE.CDANIMAL = DIGP.CDANIMAL
      AND RE.DATA < DIGP."DATA"
      AND RE.CDTIPOREPRODUCAO IN (1,2,3)
    ORDER BY RE."DATA" DESC)
WHERE
  AN.DTBAIXA IS NULL
  AND AN.ANIMALREBANHO = 1
  AND AN.TIPOANIMAL = 'A'